> ## Documentation Index
> Fetch the complete documentation index at: https://azure-foundry.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fine tuningjobs checkpoints copy

> Gets the status of a fine-tuning checkpoint copy.

NOTE: This Azure OpenAI API is in preview and subject to change.



## OpenAPI

````yaml api-reference/openai-v1.yaml get /fine_tuning/jobs/{fine_tuning_job_id}/checkpoints/{fine_tuning_checkpoint_id}/copy
openapi: 3.0.0
info:
  title: Azure AI Foundry Models Service
  license:
    name: MIT
    url: https://github.com/openai/openai-openapi/blob/master/LICENSE
  version: v1
servers:
  - url: '{endpoint}/openai/v1'
    description: Azure AI Foundry Models APIs
    variables:
      endpoint:
        default: ''
        description: >-
          A supported Azure AI Foundry Models APIs endpoint, including protocol
          and hostname.

          For example:

          https://westus.api.cognitive.microsoft.com).
security:
  - ApiKeyAuth: []
  - ApiKeyAuth_: []
  - OAuth2Auth:
      - https://cognitiveservices.azure.com/.default
tags:
  - name: Chat
  - name: Embeddings
  - name: Evals
  - name: Files
  - name: Fine-tuning
  - name: Models
  - name: Responses
  - name: Vector Stores
paths:
  /fine_tuning/jobs/{fine_tuning_job_id}/checkpoints/{fine_tuning_checkpoint_id}/copy:
    get:
      tags:
        - Fine-tuning
      description: |-
        Gets the status of a fine-tuning checkpoint copy.

        NOTE: This Azure OpenAI API is in preview and subject to change.
      operationId: FineTuning_GetCheckpoint
      parameters:
        - name: api-version
          in: query
          required: false
          description: >-
            The explicit Azure AI Foundry Models API version to use for this
            request.

            `v1` if not otherwise specified.
          schema:
            $ref: '#/components/schemas/AzureAIFoundryModelsApiVersion'
            default: v1
        - name: aoai-copy-ft-checkpoints
          in: header
          required: true
          description: >-
            Enables access to checkpoint copy operations for models, an AOAI
            preview feature.

            This feature requires the 'aoai-copy-ft-checkpoints' header to be
            set to 'preview'.
          schema:
            type: string
            enum:
              - preview
        - name: accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
        - name: fine_tuning_job_id
          in: path
          required: true
          schema:
            type: string
        - name: fine_tuning_checkpoint_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CopyModelResponse'
        default:
          description: An unexpected error response.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureErrorResponse'
components:
  schemas:
    AzureAIFoundryModelsApiVersion:
      type: string
      enum:
        - v1
        - preview
    CopyModelResponse:
      type: object
      required:
        - checkpointedModelName
        - fineTuningJobId
        - copiedAccountDetails
      properties:
        checkpointedModelName:
          type: string
          description: The ID of the copied model.
        fineTuningJobId:
          type: string
          description: The ID of the fine-tuning job that the checkpoint was copied from.
        copiedAccountDetails:
          type: array
          items:
            $ref: '#/components/schemas/CopiedAccountDetails'
          description: The ID of the destination resource id where it was copied
    AzureErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: The distinct, machine-generated identifier for the error.
            message:
              type: string
              description: A human-readable message associated with the error.
            param:
              type: string
              description: >-
                If applicable, the request input parameter associated with the
                error
            type:
              type: string
              enum:
                - error
              description: The object type, always 'error.'
            inner_error: {}
          description: The error details.
    CopiedAccountDetails:
      type: object
      required:
        - destinationResourceId
        - region
        - status
      properties:
        destinationResourceId:
          type: string
          description: The ID of the destination resource where the model was copied to.
        region:
          type: string
          description: The region where the model was copied to.
        status:
          type: string
          enum:
            - Completed
            - Failed
            - InProgress
          description: The status of the copy operation.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
    ApiKeyAuth_:
      type: apiKey
      in: header
      name: authorization
    OAuth2Auth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://login.microsoftonline.com/common/oauth2/v2.0/authorize
          scopes:
            https://cognitiveservices.azure.com/.default: ''

````